Subject: bug#9723: 24.0.50; Emacs Clipboard crash

From: Joseph Jones <[email-masked]>
Date: Mon, 17 Oct 2011 11:00:07 -0700

[New Thread 13724.0x2f34]
warning: frame 03A2BE00 (emacs@BELDQD1FQ1) obscured

warning: frame 03A2BE00 (emacs@BELDQD1FQ1) reexposed by WM_PAINT

[New Thread 13724.0x2bb0]
warning: reader_thread.SetEvent failed with 6 for fd -1

[New Thread 13724.0x1c48]
warning: reader_thread.SetEvent failed with 6 for fd -1

[New Thread 13724.0x1188]
[New Thread 13724.0x36fc]
warning: frame 03A2BE00 (emacs@BELDQD1FQ1) obscured

warning: frame 03A2BE00 (emacs@BELDQD1FQ1) reexposed by WM_PAINT

gdb: unknown target exception 0xc0000029 at 0x7d65b878

Program received signal ?, Unknown signal.
[Switching to Thread 13724.0x20f8]
0x7d65b878 in ?? ()

All I can do is try again, but that is what the debug Emacs crash looks like.

-----Original Message-----
From: Eli Zaretskii [mailto:[email-masked]] 
Sent: Monday, October 17, 2011 10:53 AM
To: Joseph Jones
Cc: [email-masked]
Subject: Re: bug#9723: 24.0.50; Emacs Clipboard crash

> From: Joseph Jones <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Mon, 17 Oct 2011 10:07:16 -0700
> 
> I have the GDB session running right now if you need more info. Note that I was entering in a dir name using ido-mode when this happened. The dir name was supposed to be fooMap but instead was foo< (bad typist).
> 
> Here is the backtrace of the threads:

There isn't a single function here that belongs to Emacs proper.
Either the Emacs process is already very much dead, or something is
terribly messed up with its stack.

When Emacs crashed, what exactly did GDB announce before showing you
the "(gdb)" prompt?